Bug 242323 - benchmarks/smhasher: fix build on powerpc64
Summary: benchmarks/smhasher: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: George V. Neville-Neil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-30 12:11 UTC by Piotr Kubaj
Modified: 2019-12-03 10:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnn)


Attachments
patch (1.17 KB, patch)
2019-11-30 12:11 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (gnn)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-11-30 12:11:17 UTC
Created attachment 209553 [details]
patch

Upstream PR:
https://github.com/gvnn3/smhasher/pull/33

Inclusion of sys/endian.h and macros for bswap_32 and bswap_64 are necessary.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-12-01 05:49:55 UTC
Approved as mentor ("does no harm" on ppcports) pending maintainer review.
Comment 2 George V. Neville-Neil freebsd_committer 2019-12-01 19:17:45 UTC
Merged upstream.
Comment 3 Piotr Kubaj freebsd_committer 2019-12-02 18:00:43 UTC
(In reply to George V. Neville-Neil from comment #2)
Thanks.

Are you ok with committing this fix to the port?
Comment 4 George V. Neville-Neil freebsd_committer 2019-12-02 18:17:56 UTC
Yes.  LGTM
Comment 5 Piotr Kubaj freebsd_committer 2019-12-03 09:59:47 UTC
Commited in a slightly better form.
Comment 6 commit-hook freebsd_committer 2019-12-03 10:00:09 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Dec  3 09:59:37 UTC 2019
New revision: 518923
URL: https://svnweb.freebsd.org/changeset/ports/518923

Log:
  benchmarks/smhasher: fix build on powerpc64

  Inclusion of sys/endian.h and macros for bswap_32 and bswap_64 are necessary. Other platforms do the same.

  PR:		242323
  Approved by:	gnn (maintainer), mentors (implicit approval)
  Differential Revision:	https://github.com/gvnn3/smhasher/pull/33

Changes:
  head/benchmarks/smhasher/Makefile
  head/benchmarks/smhasher/distinfo